StandardEngine.AccessLogListener (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.core

## Class StandardEngine.AccessLogListener

- java.lang.Object
- - org.apache.catalina.core.StandardEngine.AccessLogListener

- All Implemented Interfaces:
    PropertyChangeListener, EventListener, ContainerListener, LifecycleListener
  Enclosing class:
    StandardEngine

      protected static final class StandardEngine.AccessLogListener
      extends Object
      implements PropertyChangeListener, LifecycleListener, ContainerListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLogListener(StandardEngine engine, Host host, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.
    `void` | `install()`
    `void` | `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.
    `void` | `propertyChange(PropertyChangeEvent evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessLogListener

          public AccessLogListener(StandardEngine engine,
                                   Host host,
                                   Context context)

  - ### Method Detail

    - #### install

          public void install()

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Description copied from interface: `LifecycleListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - LifecycleEvent that has occurred

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`

    - #### containerEvent

          public void containerEvent(ContainerEvent event)

      Description copied from interface: `ContainerListener`
      Acknowledge the occurrence of the specified event.
      Specified by:
        `containerEvent` in interface `ContainerListener`
      Parameters:
        `event` - ContainerEvent that has occurred

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.